import express from "express";

let app = express();

app.get("/", (req, res) => {
  res.send("Hello from Express");
});

app.get("/binky", (req, res) => {
  res.send("Hello, this is binky");
});

/* Serves files from public folder under localhost:1930/files */
app.use("/files", express.static("public"));
/* No prefix: serves files in public from the root of the server */
// app.use(express.static("public"));

/* Serving an API using Express */

app.get("/api/test", (req, res) => {
  res.json({ text: "Hello", num: 193 });
});

app.get("/api/students/:binky", (req, res) => {
  let studentId = req.params.binky;
  console.log(studentId);
  res.json({ message: `Hello ${studentId}` });
});

app.listen(1930, () => {
  console.log("Now listening");
});
